package com.prolog.cs.biz.outbound.convert;

import com.prolog.cs.biz.outbound.model.PickTaskD;
import com.prolog.cs.biz.outbound.model.PickTaskH;
import com.prolog.cs.biz.outbound.model.entity.WaveStorageDO;
import org.mapstruct.Mapper;

@Mapper(componentModel = "spring")
public interface TaskConvert {

    PickTaskD copyByPickTaskD(PickTaskD pickTaskD);

    WaveStorageDO copyByWaveStorageDO(WaveStorageDO storageDO);

    PickTaskH copyByPickTaskH(PickTaskH pickTaskH);
}